Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 1712743002: Revert "Make window.scroll properties relative to the layout viewport by default." (Closed)

Created:
3 years, 2 months ago by ymalik
Modified:
3 years, 2 months ago
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, creis+watch_chromium.org, nasko+codewatch_chromium.org, jam, blink-reviews, dglazkov+blink, darin-cc_chromium.org, asvitkine+watch_chromium.org, mkwst+moarreviews-renderer_chromium.org, blink-reviews-api_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Reverting changes that made window.scroll properties relative to the layout viewport. Reason for revert: Broke a bunch of sites that relied on visual viewport coordinates (see www.crbug.com/571297). Reverting temporary until a new api that provides visual viewport coordinates is made available to developers. Revert "Make window.scroll properties relative to the layout viewport by default." This reverts commit f75faf53de4a5c59269143b6edbfc6dc40c7fb33. Revert "Remove plumbing for the inert-visual-viewport flag." This reverts commit 58d42ae1d6690a9f625e23f160b346e9cebeab01. TBR=avi@chromium.org,kenrb@chromium.org BUG=571297 Committed: https://crrev.com/835268c26a1f84e944b70d69703a54c4cb50bc5b Cr-Commit-Position: refs/heads/master@{#376742}

Patch Set 1 #

Patch Set 2 : fix failing test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+314 lines, -192 lines) Patch
M chrome/app/generated_resources.grd View 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 chunk +5 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_view_host_impl.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M content/public/common/common_param_traits_macros.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/content_switches.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/content_switches.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M content/public/common/web_preferences.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/web_preferences.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/render_view_impl.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/dom/Window/window-scaled-viewport-properties.html View 2 chunks +90 lines, -68 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/dom/Window/window-scaled-viewport-properties-expected.txt View 2 chunks +25 lines, -43 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/dom/window-inner-size-scaling.html View 1 chunk +16 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/dom/window-inner-size-scaling-expected.txt View 1 chunk +11 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/repaint/fixed-right-bottom-in-page-scale.html View 1 chunk +1 line, -2 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/scroll-behavior/visual-viewport-scroll-no-onscroll-event.html View 1 chunk +0 lines, -65 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/scroll-behavior/visual-viewport-scroll-no-onscroll-event-expected.txt View 1 chunk +0 lines, -12 lines 0 comments Download
M third_party/WebKit/Source/core/frame/Settings.in View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/testing/DummyPageHolder.cpp View 1 2 chunks +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/web/WebSettingsImpl.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebSettingsImpl.cpp View 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/tests/VisualViewportTest.cpp View 2 chunks +136 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/WebSettings.h View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 17 (8 generated)
ymalik
3 years, 2 months ago (2016-02-18 20:03:32 UTC) #2
bokan
lgtm
3 years, 2 months ago (2016-02-18 20:13:06 UTC) #4
ymalik
On 2016/02/18 20:13:06, bokan wrote: > lgtm Looks like some tests are failing. I didn't ...
3 years, 2 months ago (2016-02-19 00:04:36 UTC) #5
ymalik
+kenrb for content/public/common/common_param_traits_macros.h +rbyers for public/web and Source/core/testing +avi for content/public, content/renderer, content/browser
3 years, 2 months ago (2016-02-22 14:54:18 UTC) #7
Rick Byers
On 2016/02/22 14:54:18, ymalik1 wrote: > +kenrb for content/public/common/common_param_traits_macros.h > +rbyers for public/web and Source/core/testing ...
3 years, 2 months ago (2016-02-22 15:01:53 UTC) #8
ymalik
On 2016/02/22 15:01:53, Rick Byers wrote: > On 2016/02/22 14:54:18, ymalik1 wrote: > > +kenrb ...
3 years, 2 months ago (2016-02-22 15:20:44 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1712743002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1712743002/20001
3 years, 2 months ago (2016-02-22 15:22:16 UTC) #13
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 2 months ago (2016-02-22 16:28:22 UTC) #15
commit-bot: I haz the power
3 years, 2 months ago (2016-02-22 16:29:28 UTC) #17
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/835268c26a1f84e944b70d69703a54c4cb50bc5b
Cr-Commit-Position: refs/heads/master@{#376742}

Powered by Google App Engine
This is Rietveld 408576698